import { SelectionUnit, DielAst, RelationType, OriginalRelation, Relation, RelationNameType, SimpleColumn } from "../parser/dielAstTypes";
import { DerivedRelation } from "..";
export declare function IsRelationTypeDerived(rType: RelationType): boolean;
export declare function DeriveColumnsFromRelation(r: Relation): SimpleColumn[];
export declare function DeriveColumnsFromSelectionUnit(su: SelectionUnit): SimpleColumn[] | null;
export declare function GetAllDerivedViews(ast: DielAst): DerivedRelation[];
export declare function GetAllPrograms(ast: DielAst | DielAst): Map<string, import("../parser/dielAstTypes").Command[]>;
export declare function GetAllStaticOriginalTables(ast: DielAst): OriginalRelation[];
export declare function GetAllDielDefinedOriginalRelations(ast: DielAst): OriginalRelation[];
export declare function GetOriginalRelations(ast: DielAst): OriginalRelation[];
export declare function GetAllOutputs(ast: DielAst): DerivedRelation[];
export declare function GetRelationDef(ast: DielAst, rName: string): Relation | null;
export declare function IsRelationEvent(ast: DielAst, rName: RelationNameType): boolean;
//# sourceMappingURL=DielAstGetters.d.ts.map