import { SqlAst, SqlRelation, SqlDerivedRelation } from "../../parser/sqlAstTypes";
import { DropClause, CompositeSelection, CompositeSelectionUnit, SelectionUnit, ExprAst, DeleteClause, DerivedRelation } from "../../parser/dielAstTypes";
export declare function generateCleanUpAstFromSqlAst(ast: SqlAst): DropClause[];
export declare function generateStringFromSqlIr(sqlAst: SqlAst, replace?: boolean): string[];
export declare function generateDrop(command: DropClause): string;
export declare function generateDelete(command: DeleteClause): string;
export declare function GenerateSqlRelationString(r: SqlRelation, replace?: boolean): string;
export declare function GenerateStrFromDielDerivedRelation(v: DerivedRelation): string;
export declare function generateSqlViews(v: SqlDerivedRelation, replace?: boolean): string;
export declare function generateSelect(v: CompositeSelection): string;
export declare function GetSqlStringFromCompositeSelectionUnit(c: CompositeSelectionUnit): string;
export declare function SqlStrFromSelectionUnit(v: SelectionUnit): string;
/**
 * this is exported so that the codeDiv can use it
 * need to be cleaner for the future
 * @param v
 */
export declare function SqlStrFromSelectionUnitBody(v: SelectionUnit): string;
export declare function GetSqlStringFromExpr(e: ExprAst): string | null;
export declare function generateInsertClauseStringForValue(raw: any): string;
//# sourceMappingURL=codeGenSql.d.ts.map