import { DerivedRelation, OriginalRelation, DielAst } from "../parser/dielAstTypes";
import * as parser from "../parser/grammar/DIELParser";
import { RelationSelection } from "../parser/dielAstTypes";
export declare function parse(code: string): parser.DIELParser;
export declare function ParsePlainSelectQueryAst(code: string): RelationSelection;
/**
 * this visits all the queries that are included in the string
 * @param code code string
 */
export declare function ParsePlainDielAst(code: string): DielAst;
/**
 * Note that the compilation here is logical
 * there will be another pass on how to do the phyical part
 * @param ir the IR that will be manipulated
 */
export declare function CompileAst(ast: DielAst): DielAst;
export declare function CompileNewRelationToExistingAst(ast: DielAst, relation: OriginalRelation | DerivedRelation): void;
export declare function CompileDerivedAstGivenAst(ast: DielAst, view: DerivedRelation): DerivedRelation;
/**
 * TODO: we need to handled the original like derived if they have subqueries...
 * @param ast
 * @param original
 */
export declare function CompileOriginalAstGivenIr(ast: DielAst, original: OriginalRelation): OriginalRelation;
//# sourceMappingURL=compiler.d.ts.map