import { DerivedRelation, RelationNameType } from "../parser/dielAstTypes";
export declare function GetAsyncViewNameFromOutput(rName: RelationNameType): string;
/**
 * Note that we are passing the input dependencies here because
 * otherwise it needs to get access to the IR/depTree
 * an example would be
  SELECT *
  FROM distDataEvent e
    JOIN LATEST slideItx i ON i.timestep = e.request_timestep;

    where request_timestep = (select max timestep from slideItx union )
  we need to find the latest of all the inputs, if there are more than one
 * @param ast
 * @param inputDeps
 */
export declare function OutputToAsyncDefaultPolicty(ast: DerivedRelation, eventDeps: Set<string>): {
    asyncView: DerivedRelation;
    output: DerivedRelation;
};
//# sourceMappingURL=asyncPolicies.d.ts.map