import { DielAst, Relation, SelectionUnit, RelationReference, RelationNameType } from "../parser/dielAstTypes";
declare type SelectionUnitFunction<T> = (s: SelectionUnit, ast?: DielAst, relationName?: string) => T;
export declare function AddRelation(ast: DielAst, newR: Relation): void;
export declare function DeleteRelation(ast: DielAst, relationName: RelationNameType): Relation[];
export declare function WalkThroughSelectionUnits<T>(ast: DielAst, fun: SelectionUnitFunction<T>): T[];
export declare function WalkThroughRelationReferences<T>(ast: DielAst, fun: (r: RelationReference) => T): T[];
export {};
//# sourceMappingURL=DielAstVisitors.d.ts.map