import { OriginalRelation, JoinAst, RelationSelection, DielAst } from "../../parser/dielAstTypes";
/**
 * Find all the top level selections for:
 * - views
 * - outputs
 *
 * Possibly also joins for
 * - crossfilters
 *
 * Do the copy pass for:
 * - inputs
 * - dynamicTables
 * @param ast diel ast
 */
export declare function ApplyTemplates(ast: DielAst): void;
export declare function TryToCopyRelationSpec(ast: DielAst, r: OriginalRelation): void;
/**
 * modify in place
 * @param ast
 */
export declare function TryToApplyTemplate(ast: RelationSelection | JoinAst): void;
//# sourceMappingURL=applyTemplate.d.ts.map