import { DerivedRelation } from "../../../src/parser/dielAstTypes";
import { SelectionUnit, DielAst } from "../../parser/dielAstTypes";
/**
 * This function traverses the places where `RelationReference` might be called
 *   e.g., DerivedRelations, SelectionUnits in programs etc.
 * @param ast
 */
export declare function applyLatestToAst(ast: DielAst): void;
export declare function ApplyLatestToDerivedRelation(derived: DerivedRelation): DerivedRelation;
/**
 *  find all the RelationReference instances in the DerivedRelation ASTs
 *   check if they say "isLatest", turn that boolean into false, and change the subquery
 *
 *   report error if there is already a subquery --- LATEST can only be used with a simple
 *   named relation
 *
 *  note this will probably be recursive
 * @param relation
 */
export declare function applyLatestToSelectionUnit(relation: SelectionUnit): void;
//# sourceMappingURL=syntaxSugar.d.ts.map