import { RelationObject } from "./runtimeTypes";
import { RelationSelection } from "../parser/dielAstTypes";
declare type QueryResults = any;
declare type Database = any;
export declare function GenerateViewName(q: RelationSelection): string;
export declare function CaughtLocalRun(db: Database, s: string): void;
/**
 * returns all the SQL that defines tables in this DB
 *   so that we can add to IR parsing (for type inference and other processing needs)
 */
export declare function getExistingTableDefinitions(isWorker: boolean, db: Database): string;
/**
 * Hack: some relations are defined already from another session---currently we don't have a hook to clean up, so skip them
 * , relationsToSkip?: string[]
 */
export declare function processSqlMetaDataFromRelationObject(rO: RelationObject, sourceName: string): string;
export declare function ParseSqlJsWorkerResult(data: QueryResults[]): RelationObject;
/**
 * emulates better-sqlite's prepare('query').all()
 * @param db Database instance
 * @param query must be single line with no parameters
 */
export declare function SqlJsGetObjectArrayFromQuery(db: Database, query: string): any[];
export declare function convertRelationObjectToQueryResults(ro: RelationObject): QueryResults;
export {};
//# sourceMappingURL=runtimeHelper.d.ts.map