import { QueryResults, Database } from "sql.js";
export declare type OutputBoundFunc = (v: any) => any;
export declare function DeepCopy<T>(o: T): T;
export declare function CheckObjKeys(required: string[], obj: any): boolean;
export declare function SetSymmetricDifference<T>(setA: Set<T>, setB: Set<T>): Set<T>;
/**
 * find elements in A but not in B
 * @param setA
 * @param setB
 */
export declare function SetDifference<T>(setA: Set<T>, setB: Set<T>): Set<T>;
export declare function IsSuperset<T>(superset: Set<T>, subset: Set<T>): boolean;
export declare function IsSetIdentical<T>(setA: Set<T>, setB: Set<T>): boolean;
export declare function SetUnion<T>(setA: Set<T>, setB: Set<T>): Set<T>;
export declare function SetIntersection<T>(setA: Set<T>, setB: Set<T>): Set<T>;
export declare function loadDbHelper(db: Database, file: string, tick: () => () => void): Promise<void>;
export declare function assertQueryHasResult(r: QueryResults, query?: string): void;
export declare function hashCompare(a: string, b: string): number;
export declare function downloadHelper(blob: Blob, name: string, extension?: string): void;
export declare function downloadQueryResultAsCSV(db: Database, query: string): void;
//# sourceMappingURL=dielUtils.d.ts.map