export declare const FgRed = "\u001B[31m";
export declare const FgGreen = "\u001B[32m";
export declare const FgBlue = "\u001B[34m";
export declare const FgGray = "\u001B[90m";
export declare const Underscore = "\u001B[4m";
export declare const FgCyan = "\u001B[36m";
export declare const FgMagenta = "\u001B[35m";
export declare const BgRed = "\u001B[41m";
export declare const BgGreen = "\u001B[42m";
export declare const BgYellow = "\u001B[43m";
export declare const Reset = "\u001B[0m";
export declare enum DielInternalErrorType {
    Untitled = "Untitled",
    ArgNull = "ArgNull",
    TypeError = "TypeError",
    RelationNotFound = "RelationNotFound",
    NotImplemented = "NotImplemented",
    UnionTypeNotAllHandled = "UnionTypeNotAllHandled",
    MalFormedAst = "MalFormedAst",
    TestError = "TestError"
}
export declare enum DielInternalWarningType {
    Untitled = "Untitled",
    ArgNull = "ArgNull"
}
export declare function PrintCode(code: string): void;
export declare function LogSetup(m: string): void;
export declare function LogExecutionTrace(m: string, obj?: any): void;
export declare function LogTest(m: string, obj?: any): void;
export declare function LogInternalError(m: string, errorType?: DielInternalErrorType): null;
export declare function LogInternalWarning(m: string, wariningType?: DielInternalWarningType): void;
export declare function LogInfo(m: string, obj?: any): void;
export declare function LogTmp(m: string): void;
export declare function LogStandout(m: string): void;
export declare function ReportDielBasicParsingError(m: string): void;
export declare function ReportUserRuntimeWarning(m: string): null;
export declare function ReportUserRuntimeError(m: string): null;
export declare enum UserErrorType {
    UndefinedScale = "UndefinedScale"
}
export declare function ReportDielUserError(m: string, q?: string, errorType?: UserErrorType): null;
export declare function ReportDielUserWarning(m: string, q?: string): void;
export declare function sanityAssert(b: boolean, msg: string): void;
//# sourceMappingURL=messages.d.ts.map